<?php

class PagePeelv2 extends Module
{
	private $_html = '';	
	
	// Fag Style. Values: 'style1', 'style2'.
	private $flagStyle = 'style1';
	// Peel Style. Values: 'style1', 'style2'.
	private $peelStyle = 'style1';
	// Flag Width.
	private $flagWidth = '100';
	// Flag Height.
	private $flagHeight = '100';
	// Peel Width.
	private $peelWidth = '500';
	// Peel Height.
	private $peelHeight = '500';
	// Position of ear. Values: 'topleft' or 'topright'.
	private $peelPosition = 'topright';
	// URL of small image.
	private $smallURL = 'small.jpg';
	// URL of big image.
	private $bigURL = 'big.jpg';
	// The image is mirrored on peel. Values: 0 (false) or 1 (true).
	private $mirror = 1;
	// Start transition. Values: 'none', 'Blinds', 'Fade', 'Fly', 'Iris', 'Photo', 'Rotate', 'Squeeze', 'Wipe', 'PixelDissolve', 'Zoom'.
	private $inTransition = 'Photo';
	// Transition duration. Values: 1-9
	private $transitionDuration = 4;
	// Color of Peel Style. Values: 'flat', 'gradient'
	private $peel_color_style = 'gradient';
	// Color of Peel. Values: 'golden', 'silver', 'custom'
	private $peelColor = 'golden';
	// CustomPeelColor
	private $CustomPeelColor = '';
	// RGB values for a Custom Peel Color. Values: 0-255.
	private $redValue = 255;
	private $greenValue = 255;
	private $blueValue = 255;
	// Activate linkURL. Values: 0 (false) or 1 (true).
	private $linkEnabled = 1;
	// Where to open the link. Same or New Window (tab). Values: '_self' or '_blank'.
	private $linkTarget = '_self';
	// URL of link.
	private $linkURL = 'http://dpfpic.com';
	// URL of sound on load Peel Ad.
	private $loadSoundURL = '';
	// URL of sound when peel is opened.
	private $openSoundURL = '';
	// URL of sound when peel is closed.
	private $closeSoundURL = '';
	// Speed of flag movement. Values: 1-9
	private $flagSpeed = 4;
	// Speed of peel. Values: 1-9
	private $peelSpeed = 4;
	// Milliseconds till an automatic open of peel. Values: 0 (no automatic open) >0 (milliseconds configured).
	private $automaticOpen = 0;
	// Milliseconds till an automatic close of peel. Values: 0 (no automatic close) >0 (milliseconds configured).
	private $automaticClose = 0;
	// Close button on open Peel. Values: 0 (disabled) or 1 (enabled).
	private $close_button_enable = 0;
	// Text on close button.
	private $text_on_close_button = 'cerrar';
	// CustomCloseColor
	private $CustomCloseColor = '';
	// RGB values of close button. Values: 0-255.
	private $close_redValue = 255;
	private $close_greenValue = 255;
	private $close_blueValue = 255;

	private $chk_automaticOpen =  0;
	private $chk_automaticClose =  0;
	
	private $dirImages = '/images/';
	private $dirSound = '/mp3/';
	private $fileXml = 'pagepeelv2.xml';
	private $chk_rp = 'false';
	
	public function __construct()
	{
		$this->name = 'pagepeelv2';
		$this->tab = 'DPFPIC - Modules';
		$this->version = 2.0;
		$this->author = 'DPFPIC';

		parent::__construct();

		/* The parent construct is required for translations */
		$this->page = basename(__FILE__, '.php');
		$this->displayName = $this->l('Page Peel V2');
		$this->description = $this->l('Adds Page Peel on top right or left corner');
	}

	public function install()
	{
		if (!parent::install())
		return false;
		return $this->registerHook('top');		
	}
	
	public function uninstall()
	{
		return (parent::uninstall());			
	}

	public function hookTop($params)
	{
		global $smarty;
		$url='';
		$url='http://'.$_SERVER['SERVER_NAME'].__PS_BASE_URI__;

		if (file_exists(dirname(__FILE__).'/'.$this->fileXml))
		if (!$xml = @simplexml_load_file(dirname(__FILE__).'/'.$this->fileXml))
		$this->_html .= $this->displayError($this->l('The file Xml is empty.'));
		$peelPosition = ($xml ? stripslashes(htmlspecialchars($xml->peelPosition)) : '');
		$flagStyle = ($xml ? stripslashes(htmlspecialchars($xml->flagStyle)) : '');
		$peelStyle = ($xml ? stripslashes(htmlspecialchars($xml->peelStyle)) : '');
		$flagWidth = ($xml ? stripslashes(htmlspecialchars($xml->flagWidth)) : '');
		$flagHeight = ($xml ? stripslashes(htmlspecialchars($xml->flagHeight)) : '');
		$peelWidth = ($xml ? stripslashes(htmlspecialchars($xml->peelWidth)) : '');
		$peelHeight = ($xml ? stripslashes(htmlspecialchars($xml->peelHeight)) : '');
		$smallURL = ($xml ? stripslashes(htmlspecialchars($xml->smallURL)) : '');
		$bigURL = ($xml ? stripslashes(htmlspecialchars($xml->bigURL)) : '');
		$mirror = ($xml ? stripslashes(htmlspecialchars($xml->mirror)) : '');
		$inTransition = ($xml ? stripslashes(htmlspecialchars($xml->inTransition)) : '');
		$transitionDuration = ($xml ? stripslashes(htmlspecialchars($xml->transitionDuration)) : '');
		$peelColor = ($xml ? stripslashes(htmlspecialchars($xml->peelColor)) : '');
		$CustomPeelColor = ($xml ? stripslashes(htmlspecialchars($xml->CustomPeelColor)) : '');
		$peel_color_style = ($xml ? stripslashes(htmlspecialchars($xml->peel_color_style)) : '');
		$redValue = ($xml ? stripslashes(htmlspecialchars($xml->redValue)) : '');
		$greenValue = ($xml ? stripslashes(htmlspecialchars($xml->greenValue)) : '');
		$blueValue = ($xml ? stripslashes(htmlspecialchars($xml->blueValue)) : '');
		$linkEnabled = ($xml ? stripslashes(htmlspecialchars($xml->linkEnabled)) : '');
		$linkTarget = ($xml ? stripslashes(htmlspecialchars($xml->linkTarget)) : '');
		$linkURL = ($xml ? stripslashes(htmlspecialchars($xml->linkURL)) : '');
		$loadSoundURL = ($xml ? stripslashes(htmlspecialchars($xml->loadSoundURL)) : '');
		$openSoundURL = ($xml ? stripslashes(htmlspecialchars($xml->openSoundURL)) : '');
		$closeSoundURL = ($xml ? stripslashes(htmlspecialchars($xml->closeSoundURL)) : '');
		$flagSpeed = ($xml ? stripslashes(htmlspecialchars($xml->flagSpeed)) : '');
		$peelSpeed = ($xml ? stripslashes(htmlspecialchars($xml->peelSpeed)) : '');
		$chk_automaticOpen = ($xml ? stripslashes(htmlspecialchars($xml->chk_automaticOpen)) : '');
		$chk_automaticClose = ($xml ? stripslashes(htmlspecialchars($xml->chk_automaticClose)) : '');		
		$automaticOpen = ($xml ? stripslashes(htmlspecialchars($xml->automaticOpen)) : '');
		$automaticClose = ($xml ? stripslashes(htmlspecialchars($xml->automaticClose)) : '');
		$close_button_enable = ($xml ? stripslashes(htmlspecialchars($xml->close_button_enable)) : '');
		$text_on_close_button = ($xml ? stripslashes(htmlspecialchars($xml->text_on_close_button)) : '');
		$CustomCloseColor = ($xml ? stripslashes(htmlspecialchars($xml->CustomCloseColor)) : '');
		$close_redValue = ($xml ? stripslashes(htmlspecialchars($xml->close_redValue)) : '');
		$close_greenValue = ($xml ? stripslashes(htmlspecialchars($xml->close_greenValue)) : '');
		$close_blueValue = ($xml ? stripslashes(htmlspecialchars($xml->close_blueValue)) : '');
		
		$smarty->assign('url', $url);
		$smarty->assign('peelPosition', $peelPosition);
		$smarty->assign('flagStyle', $flagStyle);
		$smarty->assign('peelStyle', $peelStyle); 
		$smarty->assign('flagWidth', $flagWidth); 
		$smarty->assign('flagHeight', $flagHeight); 
		$smarty->assign('peelWidth', $peelWidth); 
		$smarty->assign('peelHeight', $peelHeight); 
		$smarty->assign('smallURL', $smallURL);
		$smarty->assign('bigURL', $bigURL);
		$smarty->assign('mirror', $mirror);
		$smarty->assign('inTransition', $inTransition);
		$smarty->assign('transitionDuration', $transitionDuration);
		$smarty->assign('peel_color_style', $peel_color_style);
		$smarty->assign('peelColor', $peelColor);
		$smarty->assign('CustomPeelColor', $CustomPeelColor);
		$smarty->assign('redValue', $redValue);
		$smarty->assign('greenValue', $greenValue);
		$smarty->assign('blueValue', $blueValue);
		$smarty->assign('linkEnabled', $linkEnabled);
		$smarty->assign('linkTarget', $linkTarget);
		$smarty->assign('linkURL', $linkURL);
		$smarty->assign('loadSoundURL', $loadSoundURL);
		$smarty->assign('openSoundURL', $openSoundURL);
		$smarty->assign('closeSoundURL', $closeSoundURL);
		$smarty->assign('flagSpeed', $flagSpeed);
		$smarty->assign('peelSpeed', $peelSpeed);
		$smarty->assign('chk_automaticOpen', $chk_automaticOpen);
		$smarty->assign('chk_automaticClose', $chk_automaticClose);
		$smarty->assign('automaticOpen', $automaticOpen);
		$smarty->assign('automaticClose', $automaticClose);
		$smarty->assign('close_button_enable', $close_button_enable);
		$smarty->assign('text_on_close_button', $text_on_close_button);
		$smarty->assign('CustomCloseColor', $CustomCloseColor);
		$smarty->assign('close_redValue', $close_redValue);
		$smarty->assign('close_greenValue', $close_greenValue);
		$smarty->assign('close_blueValue', $close_blueValue);
		$smarty->assign('smallURL', $smallURL);
		$smarty->assign('bigURL', $bigURL);
		return $this->display(__FILE__, 'pagepeelv2.tpl');
	}
	
	public function getContent()
	{
		$output = '<h2>'.$this->displayName.'</h2>';
		if (Tools::isSubmit('submitUpdate'))
		{   
			$chk_automaticOpen = (Tools::getValue('chk_automaticOpen'));
			$automaticOpen = (Tools::getValue('automaticOpen'));
			$chk_automaticClose = (Tools::getValue('chk_automaticClose'));
			$automaticClose = (Tools::getValue('automaticClose'));
			
			if ($chk_automaticOpen == 1 AND (empty($automaticOpen) OR intval($automaticOpen) == 0)) {
				$output = '<div class="alert error">'.$this->l('Invalid number').'</div>';
				$chk_rp = 'true';
			}
			if ($chk_automaticClose == 1 AND (empty($automaticClose) OR intval($automaticClose) == 0)) {
				$output = '<div class="alert error">'.$this->l('Invalid number').'</div>';
				$chk_rp = 'true';
			}

			// Generate new XML data
			$newXml = '<?xml version=\'1.0\' encoding=\'utf-8\' ?>'."\n";
			$newXml .= '<pagepeelv2>'."\n";
			$newXml .= '	<peelPosition>'.Tools::getValue('peelPosition').'</peelPosition>'."\n";
			$newXml .= '	<flagStyle>'.Tools::getValue('flagStyle').'</flagStyle>'."\n";
			$newXml .= '	<peelStyle>'.Tools::getValue('flagStyle').'</peelStyle>'."\n";
			$newXml .= '	<flagWidth>100</flagWidth>'."\n";
			$newXml .= '	<flagHeight>100</flagHeight>'."\n";
			$newXml .= '	<peelWidth>500</peelWidth>'."\n";
			$newXml .= '	<peelHeight>500</peelHeight>'."\n";			
			$newXml .= '	<smallURL>'.Tools::getValue('smallURL').'</smallURL>'."\n";
			$newXml .= '	<bigURL>'.Tools::getValue('bigURL').'</bigURL>'."\n";
			$newXml .= '	<mirror>'.Tools::getValue('mirror').'</mirror>'."\n";
			$newXml .= '	<inTransition>'.Tools::getValue('inTransition').'</inTransition>'."\n";
			$newXml .= '	<transitionDuration>'.Tools::getValue('transitionDuration').'</transitionDuration>'."\n";
			$newXml .= '	<peel_color_style>'.Tools::getValue('peel_color_style').'</peel_color_style>'."\n";
			$newXml .= '	<peelColor>'.Tools::getValue('peelColor').'</peelColor>'."\n";
			$newXml .= '	<CustomPeelColor>'.Tools::getValue('CustomPeelColor').'</CustomPeelColor>'."\n";
			$newXml .= '	<redValue>'.Tools::getValue('redValue').'</redValue>'."\n";
			$newXml .= '	<greenValue>'.Tools::getValue('greenValue').'</greenValue>'."\n";
			$newXml .= '	<blueValue>'.Tools::getValue('blueValue').'</blueValue>'."\n";
			$newXml .= '	<linkEnabled>'.Tools::getValue('linkEnabled').'</linkEnabled>'."\n";
			$newXml .= '	<linkURL>'.Tools::getValue('linkURL').'</linkURL>'."\n";
			$newXml .= '	<linkTarget>'.Tools::getValue('linkTarget').'</linkTarget>'."\n";
			$newXml .= '	<loadSoundURL>'.Tools::getValue('loadSoundURL').'</loadSoundURL>'."\n";
			$newXml .= '	<openSoundURL>'.Tools::getValue('openSoundURL').'</openSoundURL>'."\n";
			$newXml .= '	<closeSoundURL>'.Tools::getValue('closeSoundURL').'</closeSoundURL>'."\n";		
			$newXml .= '	<flagSpeed>'.Tools::getValue('flagSpeed').'</flagSpeed>'."\n";	
			$newXml .= '	<peelSpeed>'.Tools::getValue('peelSpeed').'</peelSpeed>'."\n";	
			$newXml .= '	<chk_automaticOpen>'.Tools::getValue('chk_automaticOpen').'</chk_automaticOpen>'."\n";
			$newXml .= '	<chk_automaticClose>'.Tools::getValue('chk_automaticClose').'</chk_automaticClose>'."\n";
			$newXml .= '	<automaticOpen>'.((Tools::getValue('chk_automaticOpen') == 0) ? 0 : Tools::getValue('automaticOpen')).'</automaticOpen>'."\n";
			$newXml .= '	<automaticClose>'.((Tools::getValue('chk_automaticClose') == 0) ? 0 : Tools::getValue('automaticClose')).'</automaticClose>'."\n";
			$newXml .= '	<close_button_enable>'.Tools::getValue('close_button_enable').'</close_button_enable>'."\n";	
			$newXml .= '	<text_on_close_button>'.Tools::getValue('text_on_close_button').'</text_on_close_button>'."\n";
			$newXml .= '	<CustomCloseColor>'.Tools::getValue('CustomCloseColor').'</CustomCloseColor>'."\n";			
			$newXml .= '	<close_redValue>'.Tools::getValue('close_redValue').'</close_redValue>'."\n";
			$newXml .= '	<close_greenValue>'.Tools::getValue('close_greenValue').'</close_greenValue>'."\n";
			$newXml .= '	<close_blueValue>'.Tools::getValue('close_blueValue').'</close_blueValue>'."\n";			
			$newXml .= '</pagepeelv2>';
			/* write it into the xml file */
			if ($fd = @fopen(dirname(__FILE__).'/'.$this->fileXml, 'w'))
			{
				if (!@fwrite($fd, $newXml))
				$output .= '<div class="alert error">'.$this->l('Cant write file '.$this->fileXml).'</div>';
				if (!@fclose($fd))
				$output .= '<div class="alert error">'.$this->l('Cant close file '.$this->fileXml).'</div>';
			} else {
				$output .= '<div class="conf confirm"><img src="../img/admin/ok.gif" alt="'.$this->l('Confirmation').'" />'.$this->l('Settings updated').'</div>';
			}
			if ($chk_rp != 'true') {	
				$output .= '<div class="conf confirm"><img src="../img/admin/ok.gif" alt="'.$this->l('Confirmation').'" />'.$this->l('Settings updated').'</div>';
			}
		}
		if (Tools::isSubmit('submitFile'))
		{

			if((!empty($_FILES["uploadFile"])) && ($_FILES['uploadFile']['error'] == 0)) {
				$chkUp=Tools::getValue('chkUpload');
				if($chkUp==1 || $chkUp==2){
					
					//Check if the file is JPEG image and it's size is less than 350Kb
					$filename = basename($_FILES['uploadFile']['name']);
					$ext = substr($filename, strrpos($filename, '.') + 1);
					if (($ext == "jpg") && ($_FILES["uploadFile"]["type"] == "image/jpeg") &&
							($_FILES["uploadFile"]["size"] < 350000)) {
						
						//check the size of the image
						$img = ImageCreateFromJpeg($_FILES["uploadFile"]['tmp_name']);
						$x = ImageSX($img);//For the width
						$y = ImageSY($img);//For the height
						$sizerp="ok";                        
						if($chkUp==1 && ($x!=100 || $y!=100)){                            
							$output .= '<div class="alert error">'.$this->l('The small image must be 100x100').'</div>';
							$sizerp="error";
						}
						
						if($sizerp=="ok" && $chkUp==2 && ($x!=500 || $y!=500)){
							
							$output .= '<div class="alert error">'.$this->l('The big image must be 500x500').'</div>';
							$sizerp="error";
						}                            
						if($sizerp=="ok"){
							//Determine the path to which we want to save this file
							$newname=dirname(__FILE__).$this->dirImages.$filename;
							//Check if the file with the same name is already exists on the server
							if (!file_exists($newname)) {
								//Attempt to move the uploaded file to it's new place
								if ((move_uploaded_file($_FILES['uploadFile']['tmp_name'],$newname))) {
									$output .= '<div class="conf confirm">'.$this->l('The file have saved : '.$newname).'</div>';
								} else {
									$output .= '<div class="alert error">'.$this->l('Error: An error occurred uploading the file!').'</div>';
								}
							} else {
								$output .= '<div class="alert error">'.$this->l('Error: The file exist :').$_FILES["uploadFile"]["name"].'</div>';
							}
						}
					} else {                        
						$output .= '<div class="alert error">'.$this->l('Error: You can only upload jpg files for this module').'</div>';
					}
				}else{
					$output .= '<div class="alert error">'.$this->l('You must select big image or small image').'</div>';
				}
			} else {
				$output .= '<div class="alert error">'.$this->l('Error: File have not upload').'</div>';
			}
		}
		
		/* display the PAGEPEEL form */
		return $output.$this->displayForm();
	}


	public function displayForm()
	{
		global $cookie;

		/* Script js Colorselector */
		echo '<script type="text/javascript" src="../modules/pagepeelv2/jscolor/jscolor.js"></script>';

		/* xml loading */
		$xml = false;
		if (file_exists(dirname(__FILE__).'/'.$this->fileXml))
		if (!$xml = @simplexml_load_file(dirname(__FILE__).'/'.$this->fileXml))
		$this->_html .= $this->displayError($this->l('The file not exist: ').$this->fileXml);


		$this->peelPosition = ($xml ? stripslashes(htmlspecialchars($xml->peelPosition)) : '');
		$this->flagStyle = ($xml ? stripslashes(htmlspecialchars($xml->flagStyle)) : '');
		$this->peelStyle = ($xml ? stripslashes(htmlspecialchars($xml->peelStyle)) : '');
		$this->flagWidth = ($xml ? stripslashes(htmlspecialchars($xml->flagWidth)) : '');
		$this->flagHeight = ($xml ? stripslashes(htmlspecialchars($xml->flagHeight)) : '');
		$this->peelWidth = ($xml ? stripslashes(htmlspecialchars($xml->peelWidth)) : '');
		$this->peelHeight = ($xml ? stripslashes(htmlspecialchars($xml->peelHeight)) : '');
		$this->smallURL = ($xml ? stripslashes(htmlspecialchars($xml->smallURL)) : '');
		$this->bigURL = ($xml ? stripslashes(htmlspecialchars($xml->bigURL)) : '');
		$this->mirror = ($xml ? stripslashes(htmlspecialchars($xml->mirror)) : '');
		$this->inTransition = ($xml ? stripslashes(htmlspecialchars($xml->inTransition)) : '');
		$this->transitionDuration = ($xml ? stripslashes(htmlspecialchars($xml->transitionDuration)) : '');
		$this->peel_color_style = ($xml ? stripslashes(htmlspecialchars($xml->peel_color_style)) : '');
		$this->peelColor = ($xml ? stripslashes(htmlspecialchars($xml->peelColor)) : '');
		$this->CustomPeelColor = ($xml ? stripslashes(htmlspecialchars($xml->CustomPeelColor)) : '');
		$this->redValue = ($xml ? stripslashes(htmlspecialchars($xml->redValue)) : '');
		$this->greenValue = ($xml ? stripslashes(htmlspecialchars($xml->greenValue)) : '');
		$this->blueValue = ($xml ? stripslashes(htmlspecialchars($xml->blueValue)) : '');
		$this->linkEnabled = ($xml ? stripslashes(htmlspecialchars($xml->linkEnabled)) : '');
		$this->linkTarget = ($xml ? stripslashes(htmlspecialchars($xml->linkTarget)) : '');
		$this->linkURL = ($xml ? stripslashes(htmlspecialchars($xml->linkURL)) : '');
		$this->loadSoundURL = ($xml ? stripslashes(htmlspecialchars($xml->loadSoundURL)) : '');
		$this->openSoundURL = ($xml ? stripslashes(htmlspecialchars($xml->openSoundURL)) : '');
		$this->closeSoundURL = ($xml ? stripslashes(htmlspecialchars($xml->closeSoundURL)) : '');
		$this->flagSpeed = ($xml ? stripslashes(htmlspecialchars($xml->flagSpeed)) : '');
		$this->peelSpeed = ($xml ? stripslashes(htmlspecialchars($xml->peelSpeed)) : '');
		$this->chk_automaticOpen = ($xml ? stripslashes(htmlspecialchars($xml->chk_automaticOpen)) : '');
		$this->chk_automaticClose = ($xml ? stripslashes(htmlspecialchars($xml->chk_automaticClose)) : '');
		$this->automaticOpen = ($xml ? stripslashes(htmlspecialchars($xml->automaticOpen)) : '');
		$this->automaticClose = ($xml ? stripslashes(htmlspecialchars($xml->automaticClose)) : '');
		$this->close_button_enable = ($xml ? stripslashes(htmlspecialchars($xml->close_button_enable)) : '');
		$this->text_on_close_button = ($xml ? stripslashes(htmlspecialchars($xml->text_on_close_button)) : '');
		$this->CustomCloseColor = ($xml ? stripslashes(htmlspecialchars($xml->CustomCloseColor)) : '');		
		$this->close_redValue = ($xml ? stripslashes(htmlspecialchars($xml->close_redValue)) : '');
		$this->close_greenValue = ($xml ? stripslashes(htmlspecialchars($xml->close_greenValue)) : '');
		$this->close_blueValue = ($xml ? stripslashes(htmlspecialchars($xml->close_blueValue)) : '');

		$this->_html .= '<br />
		<form method="post" action="'.$_SERVER['REQUEST_URI'].'" enctype="multipart/form-data">
			<fieldset style="width: 900px;">
				<legend><img src="'.$this->_path.'logo.gif" alt="" title="" /> '.$this->displayName.'</legend>

				<label>'.$this->l('Configuration').'</label><p>&nbsp;<p/>
				<label>'.$this->l('Corner location').'</label>
				<div class="margin-form">
				<SELECT name="peelPosition" id="peelPosition">
					<OPTION VALUE="topright" '.(($this->peelPosition == 'topright') ? 'SELECTED' : '').'>'.$this->l('Top Right corner').'&nbsp;</OPTION>
					<OPTION VALUE="topleft" '.(($this->peelPosition == 'topleft') ? 'SELECTED' : '').'>'.$this->l(' Top Left corner ').'&nbsp;</OPTION>
				</SELECT>
				<div class="clear"></div>
				</div>
				<label>'.$this->l('Style of the corner').'</label>
				<div class="margin-form">
				<SELECT name="flagStyle" id="flagStyle">
					<OPTION VALUE="style1" '.(($this->flagStyle == 'style1') ? 'SELECTED' : '').'>'.$this->l('Round Style').'&nbsp;</OPTION>
					<OPTION VALUE="style2" '.(($this->flagStyle == 'style2') ? 'SELECTED' : '').'>'.$this->l('Flat Style').'&nbsp;</OPTION>
				</SELECT>
				<div class="clear"></div>
				</div>
				<label>'.$this->l('The image is mirrored on peel').'</label>
				<div class="margin-form">
					<input type="radio" name="mirror" id="mirror_on" value="1" '.(($this->mirror == 1) ? 'checked="checked"' : '').'/>
					<label class="t" for="mirror_on"> <img src="../img/admin/enabled.gif" alt="'.$this->l('Enabled').'" title="'.$this->l('Enabled').'" /></label>
					<input type="radio" name="mirror" id="mirror_off" value="0" '.(($this->mirror == 0) ? 'checked="checked"' : '').'/>
					<label class="t" for="mirror_off"> <img src="../img/admin/disabled.gif" alt="'.$this->l('Disabled').'" title="'.$this->l('Disabled').'" /></label>
				<div class="clear"></div>
				</div>
				<label>'.$this->l('Start transition').'</label>
				<div class="margin-form">
				<SELECT name="inTransition" id="inTransition">
					<OPTION VALUE="none" '.(($this->inTransition == 'none') ? 'SELECTED' : '').'>'.$this->l('None').'&nbsp;</OPTION>
					<OPTION VALUE="Blinds"  '.(($this->inTransition == 'Blinds') ? 'SELECTED' : '').'>'.$this->l('Blinds').'&nbsp;</OPTION>
					<OPTION VALUE="Fade" '.(($this->inTransition == 'Fade') ? 'SELECTED' : '').'>'.$this->l('Fade').'&nbsp;</OPTION>
					<OPTION VALUE="Fly" '.(($this->inTransition == 'Fly') ? 'SELECTED' : '').'>'.$this->l('Fly').'&nbsp;</OPTION>
					<OPTION VALUE="Iris" '.(($this->inTransition == 'Iris') ? 'SELECTED' : '').'>'.$this->l('Iris').'&nbsp;</OPTION>
					<OPTION VALUE="Photo" '.(($this->inTransition == 'Photo') ? 'SELECTED' : '').'>'.$this->l('Photo').'&nbsp;</OPTION>
					<OPTION VALUE="Rotate" '.(($this->inTransition == 'Rotate') ? 'SELECTED' : '').'>'.$this->l('Rotate').'&nbsp;</OPTION>
					<OPTION VALUE="Wipe" '.(($this->inTransition == 'Wipe') ? 'SELECTED' : '').'>'.$this->l('Wipe').'&nbsp;</OPTION>
					<OPTION VALUE="PixelDissolve" '.(($this->inTransition == 'PixelDissolve') ? 'SELECTED' : '').'>'.$this->l('PixelDissolve').'&nbsp;</OPTION>
					<OPTION VALUE="Zoom" '.(($this->inTransition == 'Zoom') ? 'SELECTED' : '').'>'.$this->l('Zoom').'&nbsp;</OPTION>
				</SELECT>
				<div class="clear"></div>
				</div>
				<label>'.$this->l('Transition duration').'</label>
				<div class="margin-form">
				<SELECT name="transitionDuration" id="transitionDuration">
					<OPTION VALUE="1" '.(($this->transitionDuration == 1) ? 'SELECTED' : '').'>1&nbsp;</OPTION>
					<OPTION VALUE="2" '.(($this->transitionDuration == 2) ? 'SELECTED' : '').'>2&nbsp;</OPTION>
					<OPTION VALUE="3" '.(($this->transitionDuration == 3) ? 'SELECTED' : '').'>3&nbsp;</OPTION>
					<OPTION VALUE="4" '.(($this->transitionDuration == 4) ? 'SELECTED' : '').'>4&nbsp;</OPTION>
					<OPTION VALUE="5" '.(($this->transitionDuration == 5) ? 'SELECTED' : '').'>5&nbsp;</OPTION>
					<OPTION VALUE="6" '.(($this->transitionDuration == 6) ? 'SELECTED' : '').'>6&nbsp;</OPTION>
					<OPTION VALUE="7" '.(($this->transitionDuration == 7) ? 'SELECTED' : '').'>7&nbsp;</OPTION>
					<OPTION VALUE="8" '.(($this->transitionDuration == 8) ? 'SELECTED' : '').'>8&nbsp;</OPTION>
					<OPTION VALUE="9" '.(($this->transitionDuration == 9) ? 'SELECTED' : '').'>9&nbsp;</OPTION>
				</SELECT>
				<div class="clear"></div>
				</div>									
				<label>'.$this->l('Small File').'</label>
				<div class="margin-form">
					<SELECT name="smallURL" size="1" id="smallURL" ">';
		$this->_html.='<OPTION VALUE=""></OPTION> ';
		$filedir=opendir(dirname(__FILE__).$this->dirImages);
		while ($filename = readdir($filedir)){
			if(substr($filename, strrpos($filename, '.') + 1) == "jpg")
			{
				if($filename==$this->smallURL){
					$this->_html.='<OPTION VALUE="'.$filename.'" SELECTED >'.$filename.'&nbsp;</OPTION> ';
				}else{
					$this->_html.='<OPTION VALUE="'.$filename.'">'.$filename.'&nbsp;</OPTION> ';
				}
			}
		}

		$this->_html .= '</SELECT>&nbsp;&nbsp;'.$this->l('The image  must be 100x100 and jpg').'
				</div>
				<label>'.$this->l('Big File').'</label>
				<div class="margin-form">
					<SELECT name="bigURL" size="1" id="bigURL" ">';
		$this->_html.='<OPTION VALUE=""></OPTION> ';
		$filedir=opendir(dirname(__FILE__).$this->dirImages);
		while ($filename = readdir($filedir)){            

			if(substr($filename, strrpos($filename, '.') + 1) == "jpg")
			{

				if($filename==$this->bigURL){
					$this->_html.='<OPTION VALUE="'.$filename.'" SELECTED >'.$filename.'&nbsp;</OPTION> ';
				}else{
					$this->_html.='<OPTION VALUE="'.$filename.'">'.$filename.'&nbsp;</OPTION> ';
				}
			}
		}



		closedir($filedir);

		$this->_html .= '</SELECT>&nbsp;&nbsp;'.$this->l('The image  must be 500x500 and jpg').'
				</div>
				</br>
				<label>'.$this->l('Upload File').'</label>
				<div class="margin-form">
					<input type="radio" name="chkUpload" checked="true" value="1"/>'.$this->l('Small Image').'
					<input type="radio" name="chkUpload"  value="2"/>'.$this->l('Big Image').'
					<input type="file" name="uploadFile" />
					<input type="submit" name="submitFile" value="'.$this->l('Upload File').'" class="button" />
				</div>
				<div class="clear"></div>
				<label>'.$this->l('Color of Peel').'</label>
				<div class="margin-form">
				<SELECT name="peelColor" id="peelColor">
					<OPTION VALUE="golden" '.(($this->peelColor == 'golden') ? 'SELECTED' : '').'>'.$this->l('Golden').'&nbsp;</OPTION>
					<OPTION VALUE="silver"  '.(($this->peelColor == 'silver') ? 'SELECTED' : '').'>'.$this->l('Silver').'&nbsp;</OPTION>
					<OPTION VALUE="custom" '.(($this->peelColor == 'custom') ? 'SELECTED' : '').'>'.$this->l('Custom').'&nbsp;</OPTION>
				</SELECT>
				<div class="clear"></div>
				</div>
				<label>'.$this->l('Custum Peel Color').'</label>
				<div class="margin-form"><input class="color" name="CustomPeelColor" value="'.$this->CustomPeelColor.'" />';
		$rgb = $this->hex2rgb($this->CustomPeelColor);
		$this->redValue = $rgb['red'];
		$this->greenValue = $rgb['green'];
		$this->blueValue = $rgb['blue'];
		$this->_html.='<input type="hidden" name="redValue" value="'.$this->redValue.'">
				<input type="hidden" name="greenValue" value="'.$this->greenValue.'">
				<input type="hidden" name="blueValue" value="'.$this->blueValue.'">
				<div class="clear"></div>		
				</div>
				<label>'.$this->l('Color of Peel Style').'</label>
				<div class="margin-form">
				<SELECT name="peel_color_style" id="peel_color_style">
					<OPTION VALUE="flat" '.(($this->peel_color_style == 'flat') ? 'SELECTED' : '').'>'.$this->l('Flat').'&nbsp;</OPTION>
					<OPTION VALUE="gradient" '.(($this->peel_color_style == 'gradient') ? 'SELECTED' : '').'>'.$this->l('Gradient').'&nbsp;</OPTION>
				</SELECT>
				<div class="clear"></div>
				</div>				
				<label>'.$this->l('Enabled link URL').'</label>
				<div class="margin-form">
					<input type="radio" onclick="$(\'#linkEnabled\').show();" name="linkEnabled" id="linkEnabled_on" value="1" '.(($this->linkEnabled == 1) ? 'checked="checked"' : '').'/>
					<label class="t" for="linkEnabled_on"> <img src="../img/admin/enabled.gif" alt="'.$this->l('Enabled').'" title="'.$this->l('Enabled').'" /></label>
					<input type="radio" onclick="$(\'#linkEnabled\').hide();" name="linkEnabled" id="linkEnabled_off" value="0" '.(($this->linkEnabled == 0) ? 'checked="checked"' : '').'/>
					<label class="t" for="linkEnabled_off"> <img src="../img/admin/disabled.gif" alt="'.$this->l('Disabled').'" title="'.$this->l('Disabled').'" /></label>
				<div class="clear"></div>
				</div>';
		$hide = (($this->linkEnabled == 0) ? 'display: none; ' : '');
		$this->_html .= '
				<div id="linkEnabled" style="'.$hide.'clear:both;">
				<label>'.$this->l('URL of link').'</label>
				<div class="margin-form">
					<input type="text" name="linkURL" value="'.$this->linkURL.'" size="50" />
					<p class="clear">'.$this->l('For example : http://dpfpic.com').'</p>
				<div class="clear"></div>	
				</div>	
				<label>'.$this->l('Where to open the link').'</label>
				<div class="margin-form">
				<SELECT name="linkTarget" id="linkTarget">
					<OPTION VALUE="_self" '.(($this->linkTarget == '_self') ? 'SELECTED' : '').'>'.$this->l('_self').'&nbsp;</OPTION>
					<OPTION VALUE="_blank"  '.(($this->linkTarget == '_blank') ? 'SELECTED' : '').'>'.$this->l('_blank').'&nbsp;</OPTION>
				</SELECT>
				<div class="clear"></div>
				</div></div>			
				<label>'.$this->l('URL of sound load Peel Ad').'</label>
				<div class="margin-form">
				<SELECT name="loadSoundURL" id="loadSoundURL">
					<OPTION VALUE="" '.(($this->loadSoundURL == '') ? 'SELECTED' : '').'>'.$this->l('None').'&nbsp;</OPTION>';
		$filedir=opendir(dirname(__FILE__).$this->dirSound);
		while ($filename = readdir($filedir)){
			if(substr($filename, strrpos($filename, '.') + 1) == "mp3")
			{
				if($filename==$this->loadSoundURL){
					$this->_html.='<OPTION VALUE="'.$filename.'" SELECTED >'.$filename.'&nbsp;</OPTION> ';
				}else{
					$this->_html.='<OPTION VALUE="'.$filename.'">'.$filename.'&nbsp;</OPTION> ';
				}
			}
		}
		$this->_html .='</SELECT>
				<div class="clear"></div>
				</div>	
				<label>'.$this->l('URL of sound when peel is opened').'</label>
				<div class="margin-form">
				<SELECT name="openSoundURL" id="openSoundURL">
					<OPTION VALUE="" '.(($this->openSoundURL == '') ? 'SELECTED' : '').'>'.$this->l('None').'&nbsp;</OPTION>';
		$filedir=opendir(dirname(__FILE__).$this->dirSound);
		while ($filename = readdir($filedir)){
			if(substr($filename, strrpos($filename, '.') + 1) == "mp3")
			{
				if($filename==$this->openSoundURL){
					$this->_html.='<OPTION VALUE="'.$filename.'" SELECTED >'.$filename.'&nbsp;</OPTION> ';
				}else{
					$this->_html.='<OPTION VALUE="'.$filename.'">'.$filename.'&nbsp;</OPTION> ';
				}
			}
		}
		$this->_html .='</SELECT>
				<div class="clear"></div>
				</div>			
				<label>'.$this->l('URL of sound when peel is closed').'</label>
				<div class="margin-form">
				<SELECT name="closeSoundURL" id="closeSoundURL">
					<OPTION VALUE="" '.(($this->closeSoundURL == '') ? 'SELECTED' : '').'>'.$this->l('None').'&nbsp;</OPTION>';
		$filedir=opendir(dirname(__FILE__).$this->dirSound);
		while ($filename = readdir($filedir)){
			if(substr($filename, strrpos($filename, '.') + 1) == "mp3")
			{
				if($filename==$this->closeSoundURL){
					$this->_html.='<OPTION VALUE="'.$filename.'" SELECTED >'.$filename.'&nbsp;</OPTION> ';
				}else{
					$this->_html.='<OPTION VALUE="'.$filename.'">'.$filename.'&nbsp;</OPTION> ';
				}
			}
		}
		$this->_html .='</SELECT>
				<div class="clear pspace"></div>
				</div>							
				<label>'.$this->l('Speed of flag movement').'</label>
				<div class="margin-form">
				<SELECT name="flagSpeed" id="flagSpeed">
					<OPTION VALUE="1" '.(($this->flagSpeed == 1) ? 'SELECTED' : '').'>1&nbsp;</OPTION>
					<OPTION VALUE="2" '.(($this->flagSpeed == 2) ? 'SELECTED' : '').'>2&nbsp;</OPTION>
					<OPTION VALUE="3" '.(($this->flagSpeed == 3) ? 'SELECTED' : '').'>3&nbsp;</OPTION>
					<OPTION VALUE="4" '.(($this->flagSpeed == 4) ? 'SELECTED' : '').'>4&nbsp;</OPTION>
					<OPTION VALUE="5" '.(($this->flagSpeed == 5) ? 'SELECTED' : '').'>5&nbsp;</OPTION>
					<OPTION VALUE="6" '.(($this->flagSpeed == 6) ? 'SELECTED' : '').'>6&nbsp;</OPTION>
					<OPTION VALUE="7" '.(($this->flagSpeed == 7) ? 'SELECTED' : '').'>7&nbsp;</OPTION>
					<OPTION VALUE="8" '.(($this->flagSpeed == 8) ? 'SELECTED' : '').'>8&nbsp;</OPTION>
					<OPTION VALUE="9" '.(($this->flagSpeed == 9) ? 'SELECTED' : '').'>9&nbsp;</OPTION>
				</SELECT>&nbsp;&nbsp;'.$this->l('Values: 1-9').'
				<div class="clear"></div>
				</div>
				<label>'.$this->l('Speed of peel').'</label>
				<div class="margin-form">
				<SELECT name="peelSpeed" id="peelSpeed">
					<OPTION VALUE="1" '.(($this->peelSpeed == 1) ? 'SELECTED' : '').'>1&nbsp;</OPTION>
					<OPTION VALUE="2" '.(($this->peelSpeed == 2) ? 'SELECTED' : '').'>2&nbsp;</OPTION>
					<OPTION VALUE="3" '.(($this->peelSpeed == 3) ? 'SELECTED' : '').'>3&nbsp;</OPTION>
					<OPTION VALUE="4" '.(($this->peelSpeed == 4) ? 'SELECTED' : '').'>4&nbsp;</OPTION>
					<OPTION VALUE="5" '.(($this->peelSpeed == 5) ? 'SELECTED' : '').'>5&nbsp;</OPTION>
					<OPTION VALUE="6" '.(($this->peelSpeed == 6) ? 'SELECTED' : '').'>6&nbsp;</OPTION>
					<OPTION VALUE="7" '.(($this->peelSpeed == 7) ? 'SELECTED' : '').'>7&nbsp;</OPTION>
					<OPTION VALUE="8" '.(($this->peelSpeed == 8) ? 'SELECTED' : '').'>8&nbsp;</OPTION>
					<OPTION VALUE="9" '.(($this->peelSpeed == 9) ? 'SELECTED' : '').'>9&nbsp;</OPTION>
				</SELECT>&nbsp;&nbsp;'.$this->l('Values: 1-9').'
				<div class="clear"></div>
				</div>	
				<label>'.$this->l('Automatic open of peel').'</label>
				<div class="margin-form">
					<input type="radio" onclick="$(\'#automaticOpen\').show();" name="chk_automaticOpen" id="chk_automaticOpen_on" value="1" '.(($this->chk_automaticOpen == 1) ? 'checked="checked"' : '').'/>
					<label class="t" for="chk_automaticOpen_on"> <img src="../img/admin/enabled.gif" alt="'.$this->l('Enabled').'" title="'.$this->l('Enabled').'" /></label>
					<input type="radio" onclick="$(\'#automaticOpen\').hide();" name="chk_automaticOpen" id="chk_automaticOpen_off" value="0" '.(($this->chk_automaticOpen == 0) ? 'checked="checked"' : '').'/>
					<label class="t" for="chk_automaticOpen_off"> <img src="../img/admin/disabled.gif" alt="'.$this->l('Disabled').'" title="'.$this->l('Disabled').'" /></label>
				<div class="clear"></div>
				</div>';
		$hide = (($this->chk_automaticOpen == 0) ? 'display: none; ' : '');
		$this->_html .= '
				<div id="automaticOpen" style="'.$hide.'clear:both;">
				<label>'.$this->l('Milliseconds till an automatic open of peel').'</label>
				<div class="margin-form">
					<input type="text" name="automaticOpen" value="'.$this->automaticOpen.'" size="3" />&nbsp;&nbsp;'.$this->l('Values: 0 (no automatic open) >0 (milliseconds configured)').'
				<div class="clear"></div>
				</div></div>
				<label>'.$this->l('Automatic close of peel').'</label>
				<div class="margin-form">
					<input type="radio" onclick="$(\'#automaticClose\').show();" name="chk_automaticClose" id="chk_automaticClose_on" value="1" '.(($this->chk_automaticClose == 1) ? 'checked="checked"' : '').'/>
					<label class="t" for="chk_automaticClose_on"> <img src="../img/admin/enabled.gif" alt="'.$this->l('Enabled').'" title="'.$this->l('Enabled').'" /></label>
					<input type="radio" onclick="$(\'#automaticClose\').hide();" name="chk_automaticClose" id="chk_automaticClose_off" value="0" '.(($this->chk_automaticClose == 0) ? 'checked="checked"' : '').'/>
					<label class="t" for="chk_automaticClose_off"> <img src="../img/admin/disabled.gif" alt="'.$this->l('Disabled').'" title="'.$this->l('Disabled').'" /></label>
				<div class="clear"></div>
				</div>';
		$hide = (($this->chk_automaticClose == 0) ? 'display: none; ' : '');
		$this->_html .= '
				<div id="automaticClose" style="'.$hide.'clear:both;">
				<label>'.$this->l('Milliseconds till an automatic close of peel').'</label>
				<div class="margin-form">
					<input type="text" name="automaticClose" value="'.$this->automaticClose.'" size="3" />&nbsp;&nbsp;'.$this->l('Values: 0 (no automatic open) >0 (milliseconds configured)').'
				<div class="clear"></div>
				</div></div>	
				<label>'.$this->l('Close button on open Peel').'</label>
				<div class="margin-form">
					<input type="radio" onclick="$(\'#close_button_enable\').show();" name="close_button_enable" id="close_button_enable_on" value="1" '.(($this->close_button_enable == 1) ? 'checked="checked"' : '').'/>
					<label class="t" for="close_button_enable_on"> <img src="../img/admin/enabled.gif" alt="'.$this->l('Enabled').'" title="'.$this->l('Enabled').'" /></label>
					<input type="radio" onclick="$(\'#close_button_enable\').hide();" name="close_button_enable" id="close_button_enable_off" value="0" '.(($this->close_button_enable == 0) ? 'checked="checked"' : '').'/>
					<label class="t" for="close_button_enable_off"> <img src="../img/admin/disabled.gif" alt="'.$this->l('Disabled').'" title="'.$this->l('Disabled').'" /></label>
				<div class="clear"></div>
				</div>';
		$hide = (($this->close_button_enable == 0) ? 'display: none; ' : '');
		$this->_html .= '
				<div id="close_button_enable" style="'.$hide.'clear:both;">		
				<label>'.$this->l('Text on close button').'</label>
				<div class="margin-form">
					<input type="text" name="text_on_close_button" value="'.$this->text_on_close_button.'" size="50" />
					<p class="clear">'.$this->l('For example : Enter').'</p>
				<div class="clear"></div>	
				</div>	
				<label>'.$this->l('Custum close button color').'</label>
				<div class="margin-form"><input class="color" name="CustomCloseColor" value="'.$this->CustomCloseColor.'" />';
		$rgb = $this->hex2rgb($this->CustomCloseColor);
		$this->close_redValue = $rgb['red'];
		$this->close_greenValue = $rgb['green'];
		$this->close_blueValue = $rgb['blue'];
		$this->_html.='<input type="hidden" name="close_redValue" value="'.$this->close_redValue.'">
				<input type="hidden" name="close_greenValue" value="'.$this->close_greenValue.'">
				<input type="hidden" name="close_blueValue" value="'.$this->close_blueValue.'">
				<div class="clear"></div>
				</div></div>					
				<div class="margin-form clear">
					<input type="submit" name="submitUpdate" value="'.$this->l('Save').'" class="button" />
				</div>
			</fieldset>
		</form>';
		$this->_html .= '<div>&nbsp;</div><fieldset>
					<legend>'.$this->l('About').'</legend>
					<p style="font-size: 1.5em; font-weight: bold; padding-bottom: 0"><img src="'.$this->_path.'logo.gif" alt="'.$this->displayName.'" style="float: left; padding-right: 1em"/>'.$this->displayName.'</p>
					<p style="clear: both">
					'.$this->description.'
					</p>
					<p>
					'.$this->l('Developped by').' <a style="color: #7ba45b; text-decoration: underline;" href="http://dpfpic.com" target="_blank">DPFPIC</a>
					</p>
				</fieldset><div>&nbsp;</div>';	
		return $this->_html;
	}

	/* Conversion of colors hexa to RGB (Red, green, blue) */
	public function hex2rgb($color)
	{
		if(strlen($color) == 6)
		list($r, $g, $b) = array(
		$color[0].$color[1],
		$color[2].$color[3],
		$color[4].$color[5]
		);
		elseif(strlen($color) == 3)
		list($r, $g, $b) = array(
		$color[0].$color[0],
		$color[1].$color[1],
		$color[2].$color[2]
		);
		else
		return false;

		return array(
		'red' => hexdec($r),
		'green' => hexdec($g),
		'blue' => hexdec($b)
		);
	}	
	
}
?>